Bug 1494135 - Stripes handling for conversion of mirrored device needs review
Summary: Stripes handling for conversion of mirrored device needs review
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: LVM and device-mapper
Classification: Community
Component: lvm2
Version: 2.02.175
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Heinz Mauelshagen
QA Contact: cluster-qe@redhat.com
URL:
Whiteboard:
Depends On: 1720705
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-21 14:12 UTC by Zdenek Kabelac
Modified: 2019-07-08 17:21 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-08 17:21:08 UTC
rule-engine: lvm-technical-solution?
rule-engine: lvm-test-coverage?


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 1483530 0 high ASSIGNED lvconvert --type raid1 LV allows --stripes option 2021-02-22 00:41:40 UTC

Internal Links: 1483530

Description Zdenek Kabelac 2017-09-21 14:12:32 UTC
Description of problem:

As stated in bug 1483530 - lvconvert handling of 'stripes' argument does need extra look.

ATM argument passed to lvconvert looks mostly ignored.

It's unclear which logic we want to go for.

Do we want to let users create  'individual' legs striped ?

To which extent we want to make usage of 'mirrors'  and 'raid1' equal ?
(Possible new BZ ?)

If user had 'striped' targed in past - we allowed to mirror it while existing 'raid1' rejects such device from upconversion (only linears could be mirrored)

Old mirrors do take 'stripes' - yet they always let user create 'linears' for its legs (ignoring silently any option passed in for striping).

We should also reflect this in some way in man pages - where we currently suggest these --stripes & --stripesize options are actually acceptable for creation - yet one is directly prohibited and second is ignored.

In past - we accepted both option and silently ignored them - so commands the were at least creating  'some mirror' by older scripts are now rejected - in this case it's for deciding - whether we want to cause command rejection as 'error' fixing or we want to introduce command failure as regression.


Version-Release number of selected component (if applicable):
2.02.175

How reproducible:


Steps to Reproduce:
1.  lvcreate   [-iX -Iy] -LBBB -n LV VG
2.  lvconvert -m 1  [--type mirror|raid1] [-iX -Iy] VG/LV
3.

Actual results:


Expected results:


Additional info:

Comment 7 Heinz Mauelshagen 2019-07-08 17:21:08 UTC
Closing in lieu of 1720705


Note You need to log in before you can comment on or make changes to this bug.